=== debian/changelog ===
deepin-anything (5.0.18-1) unstable; urgency=medium

  * update

 -- Deepin Package Builder <packages@deepin.com>  Thu, 17 Mar 2022 14:16:41 +0800

deepin-anything (20180315+1) unstable; urgency=medium

  * Initial release.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Mar 2018 11:46:47 +0800
