=== debian/control ===
Source: deepin-anything
Section: admin
Priority: optional
Maintainer: Deepin Package Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), dkms, dh-systemd, qtbase5-dev,
 pkg-config, libudisks2-qt5-dev, libmount-dev, libdtkcore-dev, libglib2.0-dev
Standards-Version: 3.9.8
Homepage: http://github.com/linuxdeepin/deepin-anything

Package: deepin-anything-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anything library
 anything library package

Package: deepin-anything-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-anything-libs( =${binary:Version}),
Description: anything user interface library
 anything library developer package.

Package: deepin-anything-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
Description: anything module
 anything kernel module package

Package: deepin-anything-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-anything-dkms
Description: anything server application and lib
 anything server package

Package: deepin-anything-server-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-anything-server( =${binary:Version}),
Description: anything server user interface library
 anything server library developer package.
