=== debian/changelog ===
deepin-anything (6.0.3-1) unstable; urgency=medium

  * update

 -- Deepin Package Builder <packages@deepin.com>  Thu, 10 Nov 2022 09:18:47 +0800

deepin-anything (6.0.2) unstable; urgency=medium

  * rework deepin-anything-server

 -- Deepin Package Builder <packages@deepin.com>  Thu, 21 Jul 2022 15:52:06 +0800

deepin-anything (6.0.1-1) unstable; urgency=medium

  * Export entry function and change library name back for old dfm; The backend running with single instance.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 25 Apr 2022 15:50:45 +0800

deepin-anything (6.0.0-1) unstable; urgency=medium

  * new version for tool and monitor are merged then release library, which will start as plugin in dde-file-manager-daemon.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 18 Apr 2022 01:26:45 +0800
