=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@ --with dkms

override_dh_installinit:
	true
