=== src/CMakeLists.txt ===

if(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE "Release" CACHE STRING
    "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

message("Build type:"${CMAKE_BUILD_TYPE})

add_subdirectory("library")
add_subdirectory("server")
add_subdirectory("kernelmod")

# add_subdirectory("cli")
