=== debian/changelog ===
deepin-anything (6.1.6) unstable; urgency=medium

  * update CMakeLists.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 30 Nov 2023 14:48:21 +0800

deepin-anything (6.1.5) unstable; urgency=medium

  * add executable for running anything.
  * let process abort when cpu usage limit is exceeded.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 26 Oct 2023 14:35:37 +0800

deepin-anything (6.1.4) unstable; urgency=medium

  * fix index issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 19 Jul 2023 15:00:18 +0800

deepin-anything (6.1.3) unstable; urgency=medium

  * add miss build depend cmake.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 03 Jul 2023 15:58:18 +0800

deepin-anything (6.1.2) unstable; urgency=medium

  * fix kernel module build issue for linux > 5.10.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Jun 2023 16:50:58 +0800

deepin-anything (6.1.1) unstable; urgency=medium

  * fix can search issue for first start.
  * fix dgb install issue.
  * cmake build support.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Jun 2023 16:32:58 +0800

deepin-anything (6.1.0) unstable; urgency=medium

  * fix dkms install issue.
  * fix dir name is 0 on loongson64.
  * fix BUG warning issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 07 Jun 2023 17:30:58 +0800

deepin-anything (6.0.9) unstable; urgency=medium

  * fix miss libcgroup depending.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 31 May 2023 16:30:58 +0800

deepin-anything (6.0.8) unstable; urgency=medium

  * add cpu resource usage limit.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 30 May 2023 16:07:58 +0800

deepin-anything (6.0.7) unstable; urgency=medium

  * update archlinux and rpm building package.
  * Fix the expired log issue.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 25 Apr 2023 15:40:51 +0800

deepin-anything (6.0.6) unstable; urgency=medium

  * Optimize the mount info and fix QStorageInfo block issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 19 Apr 2023 17:04:15 +0800

deepin-anything (6.0.5) unstable; urgency=medium

  * Optimize the structure replace dbus with callback.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 12 Apr 2023 17:04:15 +0800

deepin-anything (6.0.4) unstable; urgency=medium

  * fix search issue on dlnfs dir.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 30 Mar 2023 03:04:15 +0800
