=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
-message("Build type:"${CMAKE_BUILD_TYPE})
+message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
 
 add_subdirectory("library")
 add_subdirectory("server")
