=== debian/changelog ===
deepin-anything (6.2.6) unstable; urgency=medium

  * New version 6.2.6
  * Fix search fail with Qt6.

 -- re2zero <yangwu@uniontech.com>  Thu, 03 Apr 2025 12:36:59 +0800

deepin-anything (6.2.5) unstable; urgency=medium

  * New version 6.2.5
  * Merge Qt5 and Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Thu, 27 Mar 2025 13:25:42 +0800

deepin-anything (6.2.4) unstable; urgency=medium

  * Fix search fail in immutable system

 -- wangrong <wangrong@uniontech.com>  Thu, 20 Mar 2025 15:52:31 +0800

deepin-anything (6.2.3) unstable; urgency=medium

  * Fix search fail for invalid path.

 -- wangrong <wangrong@uniontech.com>  Thu, 06 Mar 2025 21:06:39 +0800

deepin-anything (6.2.2) unstable; urgency=medium

  * New version 6.2.2.
  * Fix log files take up a lot of space.
  * Add support for s360x, ppc64le and riscv.
  * Optimize recoginizing ARM.

 -- wangrong <wangrong@uniontech.com>  Tue, 07 Jan 2025 20:41:36 +0800

deepin-anything (6.2.1) unstable; urgency=medium

  * adapt kernel module for LOONGARCH architecture.

 -- wangrong <wangrong@uniontech.com>  Wed, 25 Dec 2024 09:19:04 +0800

deepin-anything (6.2.0) unstable; urgency=medium

  * New version 6.2.0

 -- wangrong <wangrong@uniontech.com>  Sat, 30 Nov 2024 15:07:10 +0800

deepin-anything (6.1.9) unstable; urgency=medium

  * update log.

 -- Deepin Package Builder <packages@deepin.com>  Fri, 17 May 2024 10:32:00 +0800

deepin-anything (6.1.8) unstable; urgency=medium

  * fix server core dump on restart.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 07 Mar 2024 13:27:30 +0800

deepin-anything (6.1.7) unstable; urgency=medium

  * update version.

 -- Deepin Package Builder <packages@deepin.com>  Sun, 18 Feb 2024 17:13:26 +0800
