=== debian/control ===
--- 
+++ 
@@ -4,9 +4,16 @@
 Maintainer: Deepin Package Builder <packages@deepin.com>
 Build-Depends:
  cmake,
- debhelper (>= 9), dh-dkms | dkms, qtbase5-dev,
- pkg-config, libudisks2-qt5-dev, libmount-dev,
- libglib2.0-dev, libpcre3-dev, libnl-genl-3-dev
+ debhelper (>= 11),
+ pkg-config,
+ dh-dkms | dkms,
+ qt6-base-dev | qtbase5-dev,
+ libudisks2-qt6-dev | libudisks2-qt5-dev,
+ libpolkit-qt6-1-dev | libpolkit-qt5-1-dev,
+ libmount-dev,
+ libglib2.0-dev,
+ libpcre3-dev,
+ libnl-genl-3-dev,
 Standards-Version: 3.9.8
 Homepage: http://github.com/linuxdeepin/deepin-anything
