## deepin-anything 7.0.14

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,15 @@
     FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
-message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
+message("Build type:" ${CMAKE_BUILD_TYPE})
 
-add_subdirectory("library")
+# AddressSanitizer only:
+# add_compile_options(-fsanitize=address -g)
+# add_link_options(-fsanitize=address)
+# Or ThreadSanitizer only:
+# add_compile_options(-fsanitize=thread -g)
+# add_link_options(-fsanitize=thread)
+
 add_subdirectory("server")
 add_subdirectory("kernelmod")
-
-# add_subdirectory("cli")
+add_subdirectory("searcher")
