=== src/kernelmod/Makefile ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 clean:
 	make -C ${kdir} M=$(cwd) clean
-
