=== debian/changelog ===
deepin-anything (7.0.14) unstable; urgency=medium

  * feat: Clean up event handling and logging

 -- wangrong <wangrong@uniontech.com>  Mon, 12 May 2025 14:21:12 +0800

deepin-anything (7.0.13) unstable; urgency=medium

  * feat: Add thread pool size config from env
  * fix: Fix set index status to monitoring too early
  * refactor: Remove file_record structure and related functionality
  * feat: Refactor event handler to use shared configuration
  * feat: Add deepin-anything-searcher utils
  * refactor: Removing DBus-related code
  * refactor: Simplify file index management methods
  * refactor: Standardize namespace naming and enhance string handling
  * refactor: Enhance index directory management in event handler
  * feat: Support obtaining configuration via dconfig
  * feat: Implement configuration change notification
  * feat: Introduce log level configuration

 -- wangrong <wangrong@uniontech.com>  Wed, 07 May 2025 16:50:03 +0800

deepin-anything (7.0.12) unstable; urgency=medium

  * fix: Fail to search after manual partitioning
  * fix: Fix crash after turning off protection

 -- wangrong <wangrong@uniontech.com>  Sun, 27 Apr 2025 14:30:41 +0800

deepin-anything (7.0.11) unstable; urgency=medium

  * feat: Enhance index management with status tracking
  * feat: Support determine home directory dynamically

 -- wangrong <wangrong@uniontech.com>  Thu, 24 Apr 2025 21:31:01 +0800

deepin-anything (7.0.10) unstable; urgency=medium

  * feat: Filter out blacklisted data when refreshing the index

 -- wangrong <wangrong@uniontech.com>  Tue, 22 Apr 2025 19:53:58 +0800

deepin-anything (7.0.9) unstable; urgency=medium

  * chore: Update license information
  * refactor: Simplify file type mapping
  * fix: Change DBus connection to sessionBus
  * refactor: Support indexing hidden files
  * feat: Add is_hidden field
  * feat: Using the New Analyzer
  * feat: Support index directory blacklist
  * feat: Implement index version management
  * feat: Use new home directory location
  * feat: Implement kernel module alive check

 -- wangrong <wangrong@uniontech.com>  Mon, 21 Apr 2025 17:04:58 +0800

deepin-anything (7.0.8) unstable; urgency=medium

  * chore: Adjust build and packaging
  * chore: Run the daemon as user service
  * refactor: Adjust the matching mechanism for search keyword
  * feat: Add fields for the index
  * feat: Improve performance by saving indexes to tmpfs
  * refactor: Enhance get_home_directory function and add event filters
  * fix: Handle corrupted index during initialization
  * feat: Add pinyin field to search results and modify pinyin conversion logic
  * feat: Add post-install script for deepin-anything-server

 -- wangrong <wangrong@uniontech.com>  Mon, 31 Mar 2025 13:16:50 +0800

deepin-anything (7.0.7) unstable; urgency=medium

  * Major update with a complete refactor and version upgrade.
  * Fixed high CPU usage issues.
  * Enhanced real-time updates for improved responsiveness.
  * Improved index consistency to ensure more reliable performance.
  * Fix missing handling of subdirectories and subfiles when updating/removing a directory
  * Other bug fixes and optimizations.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 19 Nov 2024 10:32:00 +0800
