=== debian/control ===
Source: deepin-anything
Section: admin
Priority: optional
Maintainer: Deepin Package Builder <packages@deepin.com>
Build-Depends:
  cmake,
  debhelper (>= 10),
  dh-dkms | dkms,
  qt6-base-dev | qtbase5-dev,
  pkg-config,
  libnl-genl-3-dev,
  liblucene++-dev,
  libmount-dev,
  libboost-filesystem-dev,
  libspdlog-dev,
  libglib2.0-dev,
Standards-Version: 3.9.8
Homepage: http://github.com/linuxdeepin/deepin-anything

Package: deepin-anything-dkms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
Description: anything module
 anything kernel module package

Package: deepin-anything-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-anything-dkms
Description: Deepin Anything server package
 This is the server part of Deepin Anything, which includes core functionality for the application.
