=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --parallel --with dkms,systemd

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DHOST_MULTIARCH="$(DEB_HOST_MULTIARCH)"

override_dh_installinit:
	true

override_dh_auto_clean:
